> For the complete documentation index, see [llms.txt](https://docs.fuspay.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fuspay.finance/collection/assigning-virtual-accounts/get-available-assignable-virtual-account.md).

# Get Available Assignable Virtual Account

<mark style="color:green;">`POST`</mark> `https://exchanger-api.fuspay.finance/api/v1/no-auth/PartnerP2P/GetCollectionPoolAccounts?choose_bank=All/`

This gives you ability to assign virtual account number to a collection order.&#x20;

Virtual Account Number are used once until an order is fulfilled or timeout

This endpoint also gives you the ability to decide the bank generating the virtual account. if choose\_bank=All virtual accounts from all bank partners (GTB, Globus) would be returned; However if set to GTB,  only VAs from GTB would be returned.&#x20;

#### Query Parameters

| Name         | Type   | Description                                                                                                             |
| ------------ | ------ | ----------------------------------------------------------------------------------------------------------------------- |
| choose\_bank | String | to select the bank providing the virtual account eg choose\_bank =GTB. This would return virtual accounts from GTB only |

#### Headers

| Name                                            | Type   | Description                   |
| ----------------------------------------------- | ------ | ----------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | ***Bearer*** pk\_partner\_xxx |
| Content-Type<mark style="color:red;">\*</mark>  | String | application/json              |

#### Request Body

| Name                                                     | Type   | Description                                                                                                     |
| -------------------------------------------------------- | ------ | --------------------------------------------------------------------------------------------------------------- |
| intrapay\_merchant\_id<mark style="color:red;">\*</mark> | Number | merchant id on Intrapay (this is different per account)                                                         |
| signature<mark style="color:red;">\*</mark>              | String | SHA-512 of request payload signed with both merchant and partner secret key(SK\_merchant\_xxx+SK\_partner\_xxx) |
| partner\_id                                              | String | the partners id from partner onbaording endpoint                                                                |

{% tabs %}
{% tab title="200: OK successful response" %}

```javascript
Response {
	"success": true,
	"message": "Collection Pool Accounts",
	"data": [
		{
			"virtual_account_id": xxx,
			"account_name": "xxxxx",
			"account_number": "xxxxxx",
			"status": "ACTIVE"
		},
        ....
    ]
}


//Active means account is not being used and is available for use 
```

{% endtab %}

{% tab title="400: Bad Request failed responses" %}

{% endtab %}
{% endtabs %}

#### Example Request- Code&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fuspay.finance/collection/assigning-virtual-accounts/get-available-assignable-virtual-account.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
